uulib-0.9.23: Haskell Utrecht Tools Library

Safe Haskell | Safe
Language | Haskell98

UU.Util.BinaryTrees

# Documentation

data BinSearchTree av Source #

Constructors

Node (BinSearchTree av) av (BinSearchTree av) |
Nil |

tab2tree :: [av] -> BinSearchTree av Source #

btFind :: (a -> b -> Ordering) -> BinSearchTree (a, c) -> b -> Maybe c Source #

btLocateIn :: (a -> b -> Ordering) -> BinSearchTree a -> b -> Maybe a Source #

btLookup :: (a -> b) -> (a -> c) -> (b -> d -> Ordering) -> BinSearchTree a -> d -> Maybe c Source #